gnutls_pkcs11_obj_get_pk_algorithm(3)

NAME
gnutls_pkcs11_obj_get_pk_algorithm - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_obj_get_pk_algorithm(gnutls_pkcs11_obj_t obj, unsigned int * bits);

ARGUMENTS

gnutls_pkcs11_obj_t obj
    The pkcs11 object

unsigned int * bits
    Will hold the rsa/dsa bit count or the ecc curve This function given a pkcs11 object with privkey_type initialized, will return the algorithm type on success , and will store the number of bits if the algo type is GNUTLS_PK_RSA or GNUTLS_PK_DSA, or the curve if the algo type is GNUTLS_PK_ECDSA.

DESCRIPTION
The return value needs to be checked to determine if bits represents the ecc curve or the number of bits.

RETURNS
The private key algorithm associated with the object on success or a an error code otherwise.

SINCE
3.8.13

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/